Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.util
Class XmlUtil

    java.lang.Object
      org.jbpm.util.XmlUtil

    public abstract class XmlUtil

extends java.lang.Object

Constructor Summary
`XmlUtil()`

Method Summary
`static org.w3c.dom.Element` | `element(org.w3c.dom.Element element)`
`static org.w3c.dom.Element` | `element(org.w3c.dom.Element element, java.lang.String name)`
`static java.util.Iterator` | `elementIterator(org.w3c.dom.Element element)`
`static java.util.Iterator` | `elementIterator(org.w3c.dom.Element element, java.lang.String tagName)`
`static java.util.List` | `elements(org.w3c.dom.Element element)`
`static java.util.List` | `elements(org.w3c.dom.Element element, java.lang.String tagName)`
`static java.lang.String` | `getContentText(org.w3c.dom.Element element)`
`static javax.xml.parsers.DocumentBuilder` | `getDocumentBuilder()`
`static org.w3c.dom.Document` | `parseXmlInputSource(org.xml.sax.InputSource inputSource)`
`static org.w3c.dom.Document` | `parseXmlInputStream(java.io.InputStream inputStream)`
`static org.w3c.dom.Document` | `parseXmlResource(java.lang.String resource)`
`static org.w3c.dom.Document` | `parseXmlText(java.lang.String xml)`
`static java.lang.String` | `toString(org.w3c.dom.Element element)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlUtil

    public XmlUtil()

Method Detail

### parseXmlText

    public static org.w3c.dom.Document parseXmlText(java.lang.String xml)

### parseXmlResource

    public static org.w3c.dom.Document parseXmlResource(java.lang.String resource)

### parseXmlInputStream

    public static org.w3c.dom.Document parseXmlInputStream(java.io.InputStream inputStream)

### parseXmlInputSource

    public static org.w3c.dom.Document parseXmlInputSource(org.xml.sax.InputSource inputSource)

### getDocumentBuilder

    public static javax.xml.parsers.DocumentBuilder getDocumentBuilder()
                                                                throws javax.xml.parsers.FactoryConfigurationError,
                                                                       javax.xml.parsers.ParserConfigurationException

  Throws:
    `javax.xml.parsers.FactoryConfigurationError`
    `javax.xml.parsers.ParserConfigurationException`

### elementIterator

    public static java.util.Iterator elementIterator(org.w3c.dom.Element element,
                                                     java.lang.String tagName)

### elements

    public static java.util.List elements(org.w3c.dom.Element element,
                                          java.lang.String tagName)

### element

    public static org.w3c.dom.Element element(org.w3c.dom.Element element,
                                              java.lang.String name)

### elementIterator

    public static java.util.Iterator elementIterator(org.w3c.dom.Element element)

### elements

    public static java.util.List elements(org.w3c.dom.Element element)

### element

    public static org.w3c.dom.Element element(org.w3c.dom.Element element)

### toString

    public static java.lang.String toString(org.w3c.dom.Element element)

### getContentText

    public static java.lang.String getContentText(org.w3c.dom.Element element)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD